/** 
 * @Title: weiboEs.java 
 * @Package com.zhiweidata.bjfzxWebapp.entity 
 * @Description: TODO(用一句话描述该文件做什么) 
 * @author xuyimeng 
 * @date 2018年2月7日 上午11:28:14 
 * @version V1.0 
 */ /**
 * 
 */
package com.zhiweidata.bjfzxWebapp.entity;

import java.io.Serializable;

import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.Transient;

/** 
 * @ClassName: weiboEs 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author xuyimeng 
 * @date 2018年2月7日 上午11:28:14  
 */
public class WeiboEs implements Serializable{
	@Transient
    private static final long serialVersionUID = -6799862774324060068L;
	    @Id
	    private String _id;// 大库中取出为mid，存入事件数据库需处理
	    
	    private String username;
	    private String text;// 内容

	    private Integer vtype;// 认证类型
	    private String time;// 时间
	    private String sex;// 性别
	    private String location; // 地域
	    private String source;// 来源
	    private Integer isForward;// 是否转发
	    private String user_id;// uid
	    private String mid;
	    private Integer retweet_count;// 转发数
	    private Integer reply_count;// 评论数
	    private Integer like_count;// 点赞数

	    private String img_url;// 用户头像
	    private String eventId;// 事件id
	    private String url;//微博地址
	    private Long rstime;
	    private String day;
	    private String mounth;
	    private String hour;
	    private Integer fensi;//粉丝数
	    
	    private Integer guanzhu;//关注数
	    
	    private Integer weibo;//微博数
	    
	    private String description;//简介
	    private String rootuid;//原微博用户uid
	    private String roottext;//原微博内容
	    private String rootname;//原微博用户名
	    private String retweet_status_id;//原微博mid
	    private String root_time;//原微博发博时间
	    private String rooturl;//原微博地址
	    private String rootsource;//原微博来源
		public String get_id() {
			return _id;
		}
		public void set_id(String _id) {
			this._id = _id;
		}
		public String getUsername() {
			return username;
		}
		public void setUsername(String username) {
			this.username = username;
		}
		public String getText() {
			return text;
		}
		public void setText(String text) {
			this.text = text;
		}
		public Integer getVtype() {
			return vtype;
		}
		public void setVtype(Integer vtype) {
			this.vtype = vtype;
		}
		public String getTime() {
			return time;
		}
		public void setTime(String time) {
			this.time = time;
		}
		public String getSex() {
			return sex;
		}
		public void setSex(String sex) {
			this.sex = sex;
		}
		public String getLocation() {
			return location;
		}
		public void setLocation(String location) {
			this.location = location;
		}
		public String getSource() {
			return source;
		}
		public void setSource(String source) {
			this.source = source;
		}
		public Integer getIsForward() {
			return isForward;
		}
		public void setIsForward(Integer isForward) {
			this.isForward = isForward;
		}
		public String getUser_id() {
			return user_id;
		}
		public void setUser_id(String user_id) {
			this.user_id = user_id;
		}
		public String getMid() {
			return mid;
		}
		public void setMid(String mid) {
			this.mid = mid;
		}
		public Integer getRetweet_count() {
			return retweet_count;
		}
		public void setRetweet_count(Integer retweet_count) {
			this.retweet_count = retweet_count;
		}
		public Integer getReply_count() {
			return reply_count;
		}
		public void setReply_count(Integer reply_count) {
			this.reply_count = reply_count;
		}
		public Integer getLike_count() {
			return like_count;
		}
		public void setLike_count(Integer like_count) {
			this.like_count = like_count;
		}
		public String getImg_url() {
			return img_url;
		}
		public void setImg_url(String img_url) {
			this.img_url = img_url;
		}
		public String getEventId() {
			return eventId;
		}
		public void setEventId(String eventId) {
			this.eventId = eventId;
		}
		public String getUrl() {
			return url;
		}
		public void setUrl(String url) {
			this.url = url;
		}
		public Long getRstime() {
			return rstime;
		}
		public void setRstime(Long rstime) {
			this.rstime = rstime;
		}
		public String getDay() {
			return day;
		}
		public void setDay(String day) {
			this.day = day;
		}
		public String getMounth() {
			return mounth;
		}
		public void setMounth(String mounth) {
			this.mounth = mounth;
		}
		public String getHour() {
			return hour;
		}
		public void setHour(String hour) {
			this.hour = hour;
		}
		public Integer getFensi() {
			return fensi;
		}
		public void setFensi(Integer fensi) {
			this.fensi = fensi;
		}
		public Integer getGuanzhu() {
			return guanzhu;
		}
		public void setGuanzhu(Integer guanzhu) {
			this.guanzhu = guanzhu;
		}
		public Integer getWeibo() {
			return weibo;
		}
		public void setWeibo(Integer weibo) {
			this.weibo = weibo;
		}
		public String getDescription() {
			return description;
		}
		public void setDescription(String description) {
			this.description = description;
		}
		public String getRootuid() {
			return rootuid;
		}
		public void setRootuid(String rootuid) {
			this.rootuid = rootuid;
		}
		public String getRoottext() {
			return roottext;
		}
		public void setRoottext(String roottext) {
			this.roottext = roottext;
		}
		public String getRootname() {
			return rootname;
		}
		public void setRootname(String rootname) {
			this.rootname = rootname;
		}
		public String getRetweet_status_id() {
			return retweet_status_id;
		}
		public void setRetweet_status_id(String retweet_status_id) {
			this.retweet_status_id = retweet_status_id;
		}
		public String getRoot_time() {
			return root_time;
		}
		public void setRoot_time(String root_time) {
			this.root_time = root_time;
		}
		public String getRooturl() {
			return rooturl;
		}
		public void setRooturl(String rooturl) {
			this.rooturl = rooturl;
		}
		public String getRootsource() {
			return rootsource;
		}
		public void setRootsource(String rootsource) {
			this.rootsource = rootsource;
		}
		@Override
		public String toString() {
			return "WeiboEs [_id=" + _id + ", username=" + username + ", text=" + text + ", vtype=" + vtype + ", time="
					+ time + ", sex=" + sex + ", location=" + location + ", source=" + source + ", isForward="
					+ isForward + ", user_id=" + user_id + ", mid=" + mid + ", retweet_count=" + retweet_count
					+ ", reply_count=" + reply_count + ", like_count=" + like_count + ", img_url=" + img_url
					+ ", eventId=" + eventId + ", url=" + url + ", rstime=" + rstime + ", day=" + day + ", mounth="
					+ mounth + ", hour=" + hour + ", fensi=" + fensi + ", guanzhu=" + guanzhu + ", weibo=" + weibo
					+ ", description=" + description + ", rootuid=" + rootuid + ", roottext=" + roottext + ", rootname="
					+ rootname + ", retweet_status_id=" + retweet_status_id + ", root_time=" + root_time + ", rooturl="
					+ rooturl + ", rootsource=" + rootsource + "]";
		}
}
